Videos
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3572,
"results": [
{
"id": "62c70c172cde98004f159005",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "HhesaQXLuRY",
"name": "Season 1 Trailer",
"official": false,
"published_at": "2013-04-23T07:34:30.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
]
}TV SEASONS
Videos
This endpoint get the videos that belong to a TV season.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
videos
Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
This refers to the numerical identifier assigned to a specific season of a TV series.
Example:
""
This refers to a unique identifier assigned to a television series within the database.
Example:
""
Query Parameters
Filters returned videos based on specified languages. Filter the list results by language, supports more than one value by using a comma.
Specifies the language in which the response should be returned.
Example:
"en-US"
Response
200 - application/json
videos
Example:
3572
Show child attributes
Show child attributes
Example:
[
{
"id": "62c70c172cde98004f159005",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "HhesaQXLuRY",
"name": "Season 1 Trailer",
"official": false,
"published_at": "2013-04-23T07:34:30.000Z",
"site": "YouTube",
"size": 1080,
"type": "Trailer"
}
]
⌘I